NetBSD Problem Report #47614

From yamt@NetBSD.org  Mon Mar  4 10:49:25 2013
Return-Path: <yamt@NetBSD.org>
Received: by www.NetBSD.org (Postfix, from userid 1270)
	id D5FC763C07C; Mon,  4 Mar 2013 10:49:25 +0000 (UTC)
Message-Id: <20130304104925.D5FC763C07C@www.NetBSD.org>
Date: Mon,  4 Mar 2013 10:49:25 +0000 (UTC)
From: yamt@NetBSD.org
Reply-To: yamt@NetBSD.org
To: gnats-bugs@NetBSD.org
Subject: 6.0 nvi-m17n package seems broken on NetBSD-current
X-Send-Pr-Version: 3.95

>Number:         47614
>Category:       pkg
>Synopsis:       6.0 nvi-m17n package seems broken on NetBSD-current
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Mar 04 10:50:00 +0000 2013
>Last-Modified:  Sat Feb 22 00:44:31 +0000 2014
>Originator:     YAMAMOTO Takashi
>Release:        NetBSD current
>Organization:

>Environment:

>Description:
	nvi-m17n doesn't work with euc-jp input.
	i haven't investigated if it's pkgsrc problem or NetBSD problem.

	my userland is:
	http://nyftp.netbsd.org/pub/NetBSD-daily/netbsd-6-0/201303030220Z/amd64/binary/sets/

	this version doesn't work.
	http://ftp.netbsd.org/pub/pkgsrc/packages/NetBSD/amd64/6.0_2012Q4/All/nvi-m17n-1.79.20040608nb1.tgz

	this version works.
	http://ftp.netbsd.org/pub/pkgsrc/packages/NetBSD/amd64/5.1_2012Q4/All/nvi-m17n-1.79.20040608nb1.tgz

	ldd says termcap for 5.1 and terminfo for 6.0.
	i don't know if it matters.
>How-To-Repeat:
	/usr/pkg/bin/nvi-euc-jp
	and try to input some japanese letters.  like aiueo.
>Fix:


>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->roy
Responsible-Changed-By: obache@NetBSD.org
Responsible-Changed-When: Tue, 05 Mar 2013 11:10:28 +0000
Responsible-Changed-Why:
termcap v.s. terminfo?
roy, could you take a look this?


From: Roy Marples <roy@marples.name>
To: <gnats-bugs@netbsd.org>
Cc: <roy@netbsd.org>, <pkg-manager@netbsd.org>, <pkgsrc-bugs@netbsd.org>,
 <gnats-admin@netbsd.org>, <obache@netbsd.org>, <yamt@netbsd.org>
Subject: Re: pkg/47614 (6.0 nvi-m17n package seems broken on NetBSD-current)
Date: Tue, 05 Mar 2013 13:52:26 +0000

 On 05/03/2013 11:10, obache@NetBSD.org wrote:
 > Synopsis: 6.0 nvi-m17n package seems broken on NetBSD-current
 > termcap v.s. terminfo?
 > roy, could you take a look this?

 I'll try to, but I'm struggling with this part

 > and try to input some japanese letters.  like aiueo.

 How can I do this with a UK keyboard?
 Also, what $TERM are you using? I suspect the error is here.

 At a first glance, nvi-euc-jp has cursor problems as well on wsvt25 
 whereas the nvi binary it builds works just fine.
 A quick look at the code shows it has it's own curses implementation 
 which doesn't really help any.
 Linking it to ncurses instead of terminfo (for the termcap functions) 
 shows that the cursor problem persists.

 Thanks

 Roy

Responsible-Changed-From-To: roy->pkg-manager
Responsible-Changed-By: roy@NetBSD.org
Responsible-Changed-When: Sat, 22 Feb 2014 00:44:31 +0000
Responsible-Changed-Why:
Need more information to fix this.


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.